Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78481 - bad source code
Summary: bad source code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xloadimage
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
: 111531 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-24 10:52 UTC by d.binderman
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version: 4.1-33
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-01-21 21:03:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:332 low SHIPPED_LIVE Low: xloadimage security update 2005-04-19 04:00:00 UTC

Description d.binderman 2002-11-24 10:52:45 UTC
Description of Problem:

Hello there,

I just tried to compile package xloadimage-4.1-24 from Redhat 8.0.

Here are some of the compiler messages.

sunraster.c:243: warning: too few arguments for format
tiff.c:220: warning: too few arguments for format
tiff.c:407: warning: too few arguments for format

Here is a patch which fixes the messages.

*** ./sunraster.c.old	2002-11-06 15:21:10.000000000 +0000
--- ./sunraster.c	2002-11-06 15:21:43.000000000 +0000
***************
*** 240,246 ****
    case RTIFF: /* sorry, don't even know what these are */
    case RIFF:
    default:
!     fprintf(stderr, "%s: Unsupported Sun Rasterfile image type (sorry)\n");
      return(NULL);
    }
  
--- 240,247 ----
    case RTIFF: /* sorry, don't even know what these are */
    case RIFF:
    default:
!     fprintf(stderr, "%4s: Unsupported Sun Rasterfile image type (sorry)\n",
! 			header.type);
      return(NULL);
    }
  
*** ./tiff.c.old	2002-11-06 15:21:58.000000000 +0000
--- ./tiff.c	2002-11-06 15:23:29.000000000 +0000
***************
*** 217,223 ****
  	   compressionName(info->compression));
    }
    if (info->title)
!     printf("Titled \"%s\"");
    printf("\n");
  }
  
--- 217,223 ----
  	   compressionName(info->compression));
    }
    if (info->title)
!     printf("Titled \"%s\"", info->title);
    printf("\n");
  }
  
***************
*** 404,409 ****
--- 404,410 ----
      if (info.samplesperpixel != 3) {
        fprintf(stderr,
  	      "%s: Can't handle TIFF RGB images with %d samples per pixel, sorry\n",
+ 		fullname,
  	      info.samplesperpixel);
        image = NULL;
        break;


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Miloslav Trmac 2004-02-06 19:24:17 UTC
*** Bug 111531 has been marked as a duplicate of this bug. ***

Comment 2 David Binderman 2004-11-29 14:49:37 UTC
Still broken in Fedora Core 3, a couple of years later.

Comment 3 Bill Nottingham 2005-01-21 21:03:22 UTC
added in -33

Comment 4 Josh Bressers 2005-04-19 18:36:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-332.html



Note You need to log in before you can comment on or make changes to this bug.